<?php

defined('ABSPATH') or die();


class wl_companion_services_enigma {

    public static function wl_companion_services_enigma_html() {
        $theme_name = wl_companion_helper::wl_get_theme_name();
?>
        <!-- service section -->
        <div class="enigma_service <?php if ($theme_name == 'Oculis') { ?>service2<?php } ?>">
            <?php
            $home_service_heading = get_theme_mod('home_service_heading', 'Our Service');
            if (!empty($home_service_heading)) { ?>
                <div class="container">
                    <div class="row">
                        <div class="col-sm-12">
                            <div class="enigma_heading_title">
                                <h3><?php echo get_theme_mod('home_service_heading', 'Our Service'); ?></h3>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
            <?php
            $name_arr = unserialize(get_theme_mod('enigma_service_data'));
            if (!empty($name_arr)) { ?>
                <div class="container">
                    <div class="row isotope" id="isotope-service-container">
                        <?php foreach ($name_arr as $key => $value) { ?>
                            <div class=" col-md-4 service">
                                <div class="enigma_service_area appear-animation bounceIn appear-animation-visible">
                                    <?php

                                    if (!empty($value['service_icon'])) { ?>
                                        <a href="<?php echo esc_url($value['service_link']); ?>">
                                            <div class="enigma_service_iocn pull-left">
                                                <i class="<?php esc_attr_e($value['service_icon'], WL_COMPANION_DOMAIN); ?>"></i>
                                            </div>
                                        </a>
                                    <?php } ?>
                                    <div class="enigma_service_detail media-body">
                                        <?php
                                        if (!empty($value['service_name'])) { ?>
                                            <h3 class="head">
                                                <a href="<?php echo esc_url($value['service_link']); ?>">
                                                    <?php esc_html_e($value['service_name'], WL_COMPANION_DOMAIN); ?>
                                                </a>
                                            </h3>
                                        <?php }

                                        if (!empty($value['service_desc'])) { ?>
                                            <p><?php echo wp_kses_post($value['service_desc']); ?></p>
                                        <?php }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php } else { ?>
                <div class="container">
                    <div class="row isotope" id="isotope-service-container">
                        <?php for ($i = 1; $i < 4; $i++) { ?>
                            <div class=" col-md-4 service">
                                <div class="enigma_service_area appear-animation bounceIn appear-animation-visible">
                                    <?php
                                    $service = get_theme_mod('service_' . $i . '_icons');
                                    if (!empty($service)) { ?>
                                        <a href="<?php echo esc_url(get_theme_mod('service_' . $i . '_link')); ?>">
                                            <div class="enigma_service_iocn pull-left">
                                                <i class="fa <?php esc_attr_e(get_theme_mod('service_' . $i . '_icons'), WL_COMPANION_DOMAIN); ?>"></i>
                                            </div>
                                        </a>
                                    <?php } ?>
                                    <div class="enigma_service_detail media-body">
                                        <?php
                                        $servicet = get_theme_mod('service_' . $i . '_title');
                                        if (!empty($servicet)) { ?>
                                            <h3 class="head_<?php esc_attr_e($i, WL_COMPANION_DOMAIN) ?>">
                                                <a href="<?php echo esc_url(get_theme_mod('service_' . $i . '_link')); ?>">
                                                    <?php esc_html_e(get_theme_mod('service_' . $i . '_title'), WL_COMPANION_DOMAIN); ?>
                                                </a>
                                            </h3>
                                        <?php }
                                        $servicetext = get_theme_mod('service_' . $i . '_text');
                                        if (!empty($servicetext)) { ?>
                                            <p>
                                                <?php echo wp_kses_post(get_theme_mod('service_' . $i . '_text')); ?>
                                            </p>
                                        <?php }
                                        $servicey = get_theme_mod('service_' . $i . '_youtube');
                                        if (!empty($servicey)) { ?>
                                            <iframe width="200" height="200" src="<?php echo esc_url(get_theme_mod('service_' . $i . '_youtube')); ?>" frameborder="0"></iframe>
                                        <?php } ?>
                                    </div>
                                </div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            <?php  } ?>
        </div>
        <!-- /Service section -->
<?php
    }
}
?>